strip(1)

NAME
strip—Discard symbols from object files.

SYNOPSIS
strip [-F format|--format=format|--target=format] [-I format|--input-format=format] [-O format|--output-format=format] [-s|--strip-all] [-S|-g|--strip-debug] [-x|--discard-all] [-X|--discard-locals] [-v|--verbose] [-V|--version] [-V|--help] objfile ...

DESCRIPTION
GNU strip discards all symbols from the object files objfile. The list of object files may include archives. At least one object file must be given.

strip modifies the files named in its argument, rather than writing modified copies under different names.

OPTIONS

-F format

--format=format

--target=format
    Treat the original objfile as a file with the object code format format, and rewrite it in the same format.

--help
    Show a summary of the options to strip and exit.

-I format

--input-format=format
    Treat the original objfile as a file with the object code format format.

-O format

--output-format=format
    Replace objfile with a file in the output format format.

-s

--strip-all
    Remove all symbols.

-S

-g

--strip-debug
    Remove debugging symbols only.

-x

--discard-all
    Remove non-global symbols.

-X --discard-locals
    Remove compiler-generated local symbols. (These usually start with ``L'' or ``.''.)

-v

--verbose
    Verbose output: list all object files modified. In the case of archives, strip -V lists all members of the archive.

-V

--version
    Show the version number for strip and exit.

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities , Roland H. Pesch (October 1991).

COPYING
Copyright (c) 1991 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.